summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoryhfudev2016-04-06 13:36:54 -0400
committeryhfudev2016-04-06 13:36:54 -0400
commitacfd419c10505e5b4bb607a6dde359d8c01c12d7 (patch)
tree64a73954bc1d6728b4610ebe492dbb822712c5bb
downloadaur-acfd419c10505e5b4bb607a6dde359d8c01c12d7.tar.gz
init
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD24
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..868f3e3fc30
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+# Generated by mksrcinfo v8
+# Wed Apr 6 17:36:15 UTC 2016
+pkgbase = perl-crypt-des_ede3
+ pkgdesc = Perl module for triple-DES EDE encryption/decryption
+ pkgver = 0.01
+ pkgrel = 1
+ url = http://search.cpan.org/~btrott/Crypt-DES_EDE3
+ arch = x86_64
+ arch = i686
+ license = GPL
+ license = PerlArtistic
+ depends = perl-crypt-des
+ source = http://www.cpan.org/authors/id/B/BT/BTROTT/Crypt-DES_EDE3-0.01.tar.gz
+ md5sums = fde1995efa0735407a5f7c4a4c8147bc
+
+pkgname = perl-crypt-des_ede3
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f48bdd2fc14
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+pkgname=perl-crypt-des_ede3
+pkgver=0.01
+pkgrel=1
+pkgdesc="Perl module for triple-DES EDE encryption/decryption"
+arch=("x86_64" "i686")
+url="http://search.cpan.org/~btrott/Crypt-DES_EDE3"
+license=("GPL" "PerlArtistic")
+depends=('perl-crypt-des')
+source=("http://www.cpan.org/authors/id/B/BT/BTROTT/Crypt-DES_EDE3-$pkgver.tar.gz")
+md5sums=('fde1995efa0735407a5f7c4a4c8147bc')
+
+build() {
+ cd ${srcdir}/Crypt-DES_EDE3-$pkgver
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+
+package() {
+ cd ${srcdir}/Crypt-DES_EDE3-$pkgver
+ make pure_install doc_install DESTDIR=${srcdir}/${pkgname} || return 1
+ find $startdir/pkg -name '.packlist' -delete
+ find $startdir/pkg -name '*.pod' -delete
+}